/**
 * Takes the number of seconds since epoch and returns a Date object
 *
 * @param {number} secs - Number of seconds since epoch
 * @returns {Date} - Date object
 */
export declare function toDateTime(secs: number): Date;
/**
 * Sleeps for the given number of milliseconds
 *
 * @async
 * @param {number} ms - Number of milliseconds to sleep
 */
export declare function sleep(ms: number): Promise<void>;
/**
 * Sleeps until the given date
 *
 * @async
 * @param {Date} date - Date to sleep until
 */
export declare function sleepUntil(date: Date): Promise<void>;
/**
 * Adds a number of seconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} secs - Number of seconds to add
 */
export declare function addSeconds(date: Date, secs: number): Date;
/**
 * Subtracts a number of seconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} secs - Number of seconds to subtract
 */
export declare function subtractSeconds(date: Date, secs: number): Date;
/**
 * Adds a number of microseconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} ms - Number of microseconds to add
 */
export declare function addMicroseconds(date: Date, ms: number): Date;
/**
 * Subtracts a number of microseconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} ms - Number of microseconds to subtract
 */
export declare function subtractMicroseconds(date: Date, ms: number): Date;
//# sourceMappingURL=time.d.ts.map